<?xml version="1.0"?>
<doc>
    <assembly>
        <name>MyFlat.Base</name>
    </assembly>
    <members>
        <member name="T:MyFlat.DB.ResultSetItemBase">
            <summary>
            Extendable base for result set model (record structure)
            </summary>
            <remarks>
            This class should contain only protected methods (for record fields access).
            </remarks>
        </member>
        <member name="T:MyFlat.DB.ResultSetReader">
            <summary>
            Internal reader for SP output values model (as united chunk)
            </summary>
            <remarks>
            This class should contain static methods only.
            </remarks>
        </member>
        <member name="T:MyFlat.DB.SPOutputBase">
            <summary>
            Extendable base for SP output values model (as united chunk)
            </summary>
            <remarks>
            This class should contain only protected methods (for output parameters access).
            </remarks>
        </member>
        <member name="T:MyFlat.DB.SPOutputReader">
            <summary>
            Internal reader for SP output values
            </summary>
            <remarks>
            This class should contain static methods only.
            </remarks>
        </member>
        <member name="T:MyFlat.DB.DBConstants">
            <summary>
            Constant database characteristics (sizes, lengths etc.)
            </summary>
        </member>
        <member name="T:MyFlat.DB.GetMonthList_Query">
            <summary>
            Month list obtainment query
            </summary>
            <remarks>
            Demonstration of imperative query building
            </remarks>
        </member>
        <member name="T:MyFlat.DB.Month_Item">
            <summary>
            Result-set structure and record filling from corresponding asynchronous context (async.thread)
            </summary>
            <remarks>
            Outside data-set reading context (related to async.thread) field accessors return default values.
            </remarks>
        </member>
        <member name="T:MyFlat.DB.GetRomanNumbers_Query">
            <summary>
            Query for obtainment of certain quantity of Roman numbers
            </summary>
            <remarks>
            Demonstration of imperative query building
            </remarks>
        </member>
        <member name="T:MyFlat.DB.RomanNumber_Item">
            <summary>
            Result-set structure and record filling from corresponding asynchronous context (async.thread)
            </summary>
            <remarks>
            Outside data-set reading context (related to async.thread) field accessors return default values.
            </remarks>
        </member>
        <member name="T:MyFlat.DB.Authorization_SP">
            <summary>
            Performing authorization request (via stored procedure call)
            </summary>
        </member>
        <member name="T:MyFlat.DB.Authorization_Item">
            <summary>
            Model for 1-st result set
            </summary>
        </member>
        <member name="T:MyFlat.DB.AccountInfo_Item">
            <summary>
            Model for 2-nd result set
            </summary>
        </member>
        <member name="T:MyFlat.DB.GetFinTermInfo_SP">
            <summary>
            Financial month info obtainment (current fin.term), via stored procedure call
            </summary>
        </member>
        <member name="T:MyFlat.DB.FinTermInfo_Output">
            <summary>
            Output values model (as united chunk)
            </summary>
        </member>
        <member name="T:MyFlat.DB.GetServiceList_SP">
            <summary>
            Flat services selection (via stored procedure call)
            </summary>
        </member>
        <member name="T:MyFlat.DB.ServiceInfo_Item">
            <summary>
            Result set (model)
            </summary>
        </member>
        <member name="M:MyFlat.OpFailedExceptionCreator.Do(System.Action)">
            <exception cref="T:MyFlat.OperationFailedException" />
        </member>
        <member name="T:MyFlat.NotNullInterpreter_Base">
            <summary>
            Not null object and value interpreter (strict accessor)
            </summary>
        </member>
        <member name="M:MyFlat.NotNullInterpreter_Base.NN``1(``0)">
            <exception cref="T:System.NullReferenceException" />
        </member>
        <member name="M:MyFlat.NotNullInterpreter_Base.V``1(System.Nullable{``0})">
            <exception cref="T:CommonHelpers.HNullValueException" />
        </member>
        <member name="T:MyFlat.Base.MyFlat_Base_Info">
            <summary>
            Assembly information and related
            </summary>
        </member>
    </members>
</doc>
